Subject: Re: bug#59603: 28.1.90; `ucs-normalize-string' fails to work

From: Ihor Radchenko <[email-masked]>
Date: Sat, 26 Nov 2022 09:04:22 +0000

Eli Zaretskii <[email-masked]> writes:

>> (defmacro ucs-normalize-string (ucs-normalize-region)
>>   `(with-temp-buffer
>>      (insert str)
>>      (,ucs-normalize-region (point-min) (point-max))
>>      (buffer-string)))
>> 
>> It apparently uses undefined variable `str', which does not look right.
>
> It's a macro, not a function.  So STR could come from the code which calls
> the macro.  Look how it is used in that file, and you will see what I mean.

I understand. But this macro is not private (no --). I feel like using
"str" there is a questionable code style.

>> Also, no docstring.
> I added a doc string.

Thanks! The new docstring implies that STR is an argument, doesn't it?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>